Name:          	kde-i18n-ja
Version:       	3.5.5
Release:       	10AX
Summary:     	Japanese language support for KDE 3.5.5
License:     	GPL
URL: 		http://www.kde.org
Group:         	Desktop/KDE
BuildRoot:     	/var/tmp/kde-i18n-ja-root
Source:      	%{name}-%{version}.tar.bz2
Patch0:		kde-i18n-ja-3.5.5-20070611.patch
Patch1:		kde-i18n-ja-3.5.5-20070702.patch
Patch2:		kde-i18n-ja-3.5.5-add_select_taskbar_font_color.patch
Patch3:		kde-i18n-ja-3.5.5-20070713.patch
Patch4:		kde-i18n-ja-3.5.5-20070730.patch
Patch5:		kde-i18n-ja-3.5.5-20070813.patch
Requires: 	kdelibs, kdebase

%description
Japanese language support for KDE 3.5.5

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%Build
./configure --prefix=/usr 
make

%install
mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

(cd $RPM_BUILD_ROOT/usr/share/doc/HTML/ja/; ln -s docs/common common)

rm -f $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/kppp*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/doc/HTML/ja
/usr/share/locale/ja/LC_MESSAGES/*
/usr/share/locale/ja/charset
/usr/share/locale/ja/entry.desktop
/usr/share/locale/ja/flag.png

%changelog
* Mon Aug 13 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-10AX
- modify translation related between trash and shared folder 
- (Patch5,#3401)

* Mon Jul 30 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-9AX
- add translation for theme "Default" and "Standard" in 
- ksplashthememgr.po for fixing #3351 (Patch4)

* Fri Jul 27 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-8AX
- remove kppp.mo and kppplogview.mo. These are from PoseisonPPP. (#3317)
- trivial fixes in files section

* Sat Jul 14 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-7AX
- Update Japanese translation (Patch3, #3210,#3248)

* Tue Jul  3 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-6AX
- Add translation for taskbar color (Patch2, #3128)

* Mon Jul  2 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-5AX
- Update Japanese translation (Patch1, reopend#2788)

* Sun Jun 10 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-4AX
- remove kicker_start patch because we include start strings as a image
- Japanese translation update (Patch0, #2788,#2791,#2904)
- Trivial fix
-	Group fix (desktop/kde to Desktop/KDE)

* Thu May 31 2007 Hua Jie <jiehua@redflag-linux.com> 3.5.5-3AX
- create a symbol link so that other files can link to the correct one.

* Tue Apr  3 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-2AX
- add translation of "Start"

* Wed Feb 07 2007 Hua Jie <jiehua@redflag-linux.com> 3.5.5-1AX
- create package
